Package org.apache.sysds.runtime.transform.encode

## Class ColumnEncoderPassThrough

- java.lang.Object
- - org.apache.sysds.runtime.transform.encode.ColumnEncoder
  - - org.apache.sysds.runtime.transform.encode.ColumnEncoderPassThrough

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `Comparable<ColumnEncoder>`, `Encoder`

      public class ColumnEncoderPassThrough
      extends ColumnEncoder

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ColumnEncoderPassThrough.PassThroughSparseApplyTask` |

    - ### Nested classes/interfaces inherited from class org.apache.sysds.runtime.transform.encode.ColumnEncoder

      `ColumnEncoder.EncoderType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.runtime.transform.encode.ColumnEncoder

      `APPLY_ROW_BLOCKS_PER_COLUMN, BUILD_ROW_BLOCKS_PER_COLUMN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ColumnEncoderPassThrough()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `allocateMetaData​(FrameBlock meta)` | Pre-allocate a FrameBlock for metadata collection.
    `void` | `build​(CacheBlock in)` | Build the transform meta data for the given block input.
    `List<DependencyTask<?>>` | `getBuildTasks​(CacheBlock in)` |
    `FrameBlock` | `getMetaData​(FrameBlock meta)` | Construct a frame block out of the transform meta data.
    `void` | `initMetaData​(FrameBlock meta)` | Sets up the required meta data for a subsequent call to apply.
    `void` | `mergeAt​(ColumnEncoder other)` | Merges another encoder, of a compatible type, in after a certain position.

    - ### Methods inherited from class org.apache.sysds.runtime.transform.encode.ColumnEncoder

      `apply, apply, build, build, buildPartial, compareTo, getApplyTasks, getBuildTask, getColID, getColMapping, getEstMetaSize, getEstNumDistincts, getPartialBuildTask, getPartialMergeBuildTask, getSparseRowsWZeros, isApplicable, isApplicable, prepareBuildPartial, readExternal, setColID, setEstMetaSize, setEstNumDistincts, shiftCol, updateIndexRanges, writeExternal`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnEncoderPassThrough

          public ColumnEncoderPassThrough()

  - ### Method Detail

    - #### build

          public void build​(CacheBlock in)

      Description copied from interface: `Encoder`
      Build the transform meta data for the given block input. This call modifies and keeps meta data as encoder state.
      Parameters:
        `in` - input frame block

    - #### getBuildTasks

          public List<DependencyTask<?>> getBuildTasks​(CacheBlock in)

      Overrides:
        `getBuildTasks` in class `ColumnEncoder`

    - #### mergeAt

          public void mergeAt​(ColumnEncoder other)

      Description copied from class: `ColumnEncoder`
      Merges another encoder, of a compatible type, in after a certain position. Resizes as necessary. `ColumnEncoders` are compatible with themselves and `EncoderComposite` is compatible with every other `ColumnEncoders`. `MultiColumnEncoders` are compatible with every encoder
      Overrides:
        `mergeAt` in class `ColumnEncoder`
      Parameters:
        `other` - the encoder that should be merged in

    - #### allocateMetaData

          public void allocateMetaData​(FrameBlock meta)

      Description copied from interface: `Encoder`
      Pre-allocate a FrameBlock for metadata collection.
      Parameters:
        `meta` - frame block

    - #### getMetaData

          public FrameBlock getMetaData​(FrameBlock meta)

      Description copied from interface: `Encoder`
      Construct a frame block out of the transform meta data.
      Parameters:
        `meta` - output frame block
      Returns:
        output frame block?

    - #### initMetaData

          public void initMetaData​(FrameBlock meta)

      Description copied from interface: `Encoder`
      Sets up the required meta data for a subsequent call to apply.
      Parameters:
        `meta` - frame block